<?php 

/*** LOGIN PERSONALIZADO E ADMIN ***/

//Adiciona ao tema uma caixa de contato
function xadrez_add_dashboard_widgets() {
  wp_add_dashboard_widget('wp_dashboard_widget', 'Sobre o site', 'xadrez_theme_info');
}
add_action('wp_dashboard_setup', 'xadrez_add_dashboard_widgets' );
 
function xadrez_theme_info() {
  echo "<ul>
  <li><strong>Site desenvolvido por:</strong> Agência Xadrez.</li>
  <li><strong>Precisa de ajuda?</strong> Vá à seção <a href='".home_url()."/ajuda' target='_blank'><i>#comofaz</i></a></li>
  <li><strong>Website:</strong> <a href='http://www.agenciaxadrez.com.br'>www.agenciaxadrez.com.br</a></li>
  <li><strong>Contato:</strong> <a href='mailto:ola@agenciaxadrez.com.br'>ola@agenciaxadrez.com.br</a></li>
  </ul>";
}

//Modifica o logotipo de login Wordpress para o próprio
add_action('login_head', 'xadrez_custom_login_logo');
function xadrez_custom_login_logo() {
    
    //Se estiver usando tema Odin usar ".login h1 a".
    echo '<style type="text/css">
    h1 a { background-image:url('.get_stylesheet_directory_uri().'/img/login.jpg) !important; background-size:contain !important; height:72px !important; width:320px !important; margin-bottom:0 !important; padding-bottom:0 !important; }
    .login form { margin-top: 10px !important; }
    </style>';
}

//Personaliza o Background
function custom_login_css() {
echo '<link rel="stylesheet" type="text/css" href="'.get_stylesheet_directory_uri().'/style.css"/>';
}
add_action('login_head', 'custom_login_css');

//Muda a logo de login
function xadrez_url_login_logo(){
    return get_bloginfo( 'wpurl' );
}
add_filter('login_headerurl', 'xadrez_url_login_logo');

//Muda o texto do título do login
function xadrez_login_logo_url_title() {
  return 'Desenvolvido pela Agência Xadrez.';
}
add_filter( 'login_headertitle', 'xadrez_login_logo_url_title' );

//alterar link do logo pág de login
add_filter( 'login_headerurl', 'custom_login_header_url' );
function custom_login_header_url($url) {
return 'http://www.agenciaxadrez.com.br/';
}

//Mudar texto do footer do admin
function change_footer_admin () {
  echo 'Website criado pela Agência Xadrez utilizando WordPress. Se precisar de ajuda, entre em <a href="http://www.agenciaxadrez.com.br" target="_blank" title="Link para o site da Xadrez.">contato</a>. Estamos à disposição ;-)';
}
add_filter('admin_footer_text', 'change_footer_admin');
/*** TERMINA PERSONALIZAÇÃO DO ADMIN ***/
;?>